Summary:	A curses media indexer and player for vi users
Name:		vitunes
Version:	2.3
Release:	3
License:	BSD
Group:		Sound
Url:		http://vitunes.org
Source0:	http://vitunes.org/files/%{name}-%{version}.tar.gz
Patch0:		vitunes-2.3-time-header.patch
Patch1:		vitunes-2.3-asneeded.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(taglib)

%description
vitunes is a curses-based music player and playlist manager
for *nix whose goals are:
 * a minimalistic appearance
 * strong vi-like bindings
 * quick playlist creation/management.

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp Makefile.linux Makefile
find . -perm 640 | xargs chmod 644

%build
%setup_compile_flags
%make -f Makefile.linux

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall_std PREFIX=%{buildroot}%{_prefix}
chmod 0755 %{buildroot}%{_bindir}/%{name}



%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.3-3
- (23a6d6b) Build with system optflags
- (23a6d6b) Fix debug package permissions


